Bug 488661 - System spontaneously shuts down triggered by pm-suspend
System spontaneously shuts down triggered by pm-suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 22:30 EST by Roland Roberts
Modified: 2015-03-04 20:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 07:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-suspend log from spontaneous shutdown. (4.72 KB, application/octet-stream)
2009-03-04 22:30 EST, Roland Roberts
no flags Details
Console log from when X crashed (1.57 KB, text/plain)
2009-03-06 19:04 EST, Roland Roberts
no flags Details

  None (edit)
Description Roland Roberts 2009-03-04 22:30:54 EST
Created attachment 334089 [details]
pm-suspend log from spontaneous shutdown.

Description of problem:

My Dell D820 has spontaneously shut down multiple times for no apparent reason.  In some cases, the system was idle (I had left for coffee machine), in other cases, the machine was in use (I was web browsing and it shut down just as I had clicked on a link).

My D820 *does* know how to suspend, and the keyboard control (Fn-Esc) to trigger than does work.  Resume also works correctly.  It is unclear to me what is triggering the event.

Version-Release number of selected component (if applicable):

260 roland> rpm -qf /usr/sbin/pm-suspend
pm-utils-1.2.2.1-2.fc10.i386
261 roland> uname -r
2.6.27.19-170.2.35.fc10.i686


How reproducible:

I have not been able to find a specific triggering event.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I am attaching /var/log/pm-suspend.log from one such incident.  /var/log/messages shows nothing much happening until just after the first timestamp in pm-suspend.log.  I'm labelled this as being due to pm-suspend, but the log suggests it was pm-hibernate.  But I'm not sufficiently familiar with these to be sure.  Also, suspend works, but I've never managed to get hibernate to work (and don't even try anymore).  Lastly, I was using BIOS rev A06 but updated to Dell's latest, version A09 and within 20 minutes, the problem showed itself again.  But I might go the rest of the day w/o it happening again....
Comment 1 Richard Hughes 2009-03-05 04:43:40 EST
Does this still happen if you do "killall gnome-power-manager" ?
Comment 2 Roland Roberts 2009-03-05 08:19:29 EST
Let me get back to you on that.  I've killed gnome-power-manager and will see what happens today.  I may need to go back and forth (having it run, having it not run) a few times to be sure.
Comment 3 Roland Roberts 2009-03-05 20:54:53 EST
I'm going to say its gnome-power-manager.  I ran the laptop until the power hit 2% and w/o gnome-power-manager, it never shutdown or did anything unexpected.  After recharging, I walked away for 10 minutes with gnome-power-manager and came back to find the laptop had shut down.  So it does not appear to be pm-utils that are causing the problem.

Also, my gnome-power-manager settings are deliberately set up to suspend, NOT hiberate.  But gnome-power-manager is clearly calling pm-hiberate (based on the log file contents), not pm-suspend.

I'm changing the component to be gnome-power-manager.
Comment 4 Roland Roberts 2009-03-06 19:04:16 EST
Created attachment 334366 [details]
Console log from when X crashed

I'm also seeing another effect that I was at first attributing to the nvidia video driver.  I suppose it may still be, but....

My X session is being abruptly terminated sometimes.  It gdm relaunches the login screen and the system does NOT shut down.  It looks like an X server crash.  But there are two things that make me suspect gnome-power-manager.  First, it has not happened during the times when I've killed gnome-power-manager.  That includes two full days of running without gnome-power-manager, which is longer than I normally go w/o the problem.  Second, as soon as my X session died last time, I looked in /var/log for recent messages to see what I could find.  There was nothing unusual in any log file, but there was a pm-powersave.log with a timestamp right at the moment X went down.

However, console 7 has a (scrambled) crash traceback.  I'm attaching it to this note.  Please let me know if this is not relevant so I can file an appropriate bug report elsewhere.
Comment 5 Richard Hughes 2009-06-03 03:59:22 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5740 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5728 and then reboot please.

Note You need to log in before you can comment on or make changes to this bug.